IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/12
Addresses2^116
/64 networks2^52
- Network
2690::/12- First address
2690::- Last address
269f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
- /64 networks (LANs)
- 4,503,599,627,370,496 (2^52)
- Full form
2690:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.6.2.ip6.arpa
Split into smaller subnets
2690::/12 makes 4,096 subnets of /24; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2690::/24 | 2690:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2690:100::/24 | 2690:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2690:200::/24 | 2690:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2690:300::/24 | 2690:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2690:400::/24 | 2690:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2690:500::/24 | 2690:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2690:600::/24 | 2690:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2690:700::/24 | 2690:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2690:800::/24 | 2690:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2690:900::/24 | 2690:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2690:a00::/24 | 2690:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2690:b00::/24 | 2690:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2690:c00::/24 | 2690:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2690:d00::/24 | 2690:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2690:e00::/24 | 2690:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2690:f00::/24 | 2690:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2690:1000::/24 | 2690:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2690:1100::/24 | 2690:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2690:1200::/24 | 2690:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2690:1300::/24 | 2690:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2690:1400::/24 | 2690:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2690:1500::/24 | 2690:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2690:1600::/24 | 2690:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2690:1700::/24 | 2690:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2690:1800::/24 | 2690:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2690:1900::/24 | 2690:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2690:1a00::/24 | 2690:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2690:1b00::/24 | 2690:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2690:1c00::/24 | 2690:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2690:1d00::/24 | 2690:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2690:1e00::/24 | 2690:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2690:1f00::/24 | 2690:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2690:2000::/24 | 2690:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2690:2100::/24 | 2690:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2690:2200::/24 | 2690:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2690:2300::/24 | 2690:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2690:2400::/24 | 2690:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2690:2500::/24 | 2690:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2690:2600::/24 | 2690:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2690:2700::/24 | 2690:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2690:2800::/24 | 2690:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2690:2900::/24 | 2690:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2690:2a00::/24 | 2690:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2690:2b00::/24 | 2690:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2690:2c00::/24 | 2690:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2690:2d00::/24 | 2690:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2690:2e00::/24 | 2690:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2690:2f00::/24 | 2690:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2690:3000::/24 | 2690:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2690:3100::/24 | 2690:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2690:3200::/24 | 2690:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2690:3300::/24 | 2690:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2690:3400::/24 | 2690:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2690:3500::/24 | 2690:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2690:3600::/24 | 2690:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2690:3700::/24 | 2690:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2690:3800::/24 | 2690:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2690:3900::/24 | 2690:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2690:3a00::/24 | 2690:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2690:3b00::/24 | 2690:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2690:3c00::/24 | 2690:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2690:3d00::/24 | 2690:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2690:3e00::/24 | 2690:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2690:3f00::/24 | 2690:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2690:4000::/24 | 2690:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2690:4100::/24 | 2690:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2690:4200::/24 | 2690:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2690:4300::/24 | 2690:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2690:4400::/24 | 2690:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2690:4500::/24 | 2690:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2690:4600::/24 | 2690:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2690:4700::/24 | 2690:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2690:4800::/24 | 2690:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2690:4900::/24 | 2690:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2690:4a00::/24 | 2690:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2690:4b00::/24 | 2690:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2690:4c00::/24 | 2690:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2690:4d00::/24 | 2690:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2690:4e00::/24 | 2690:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2690:4f00::/24 | 2690:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2690:5000::/24 | 2690:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2690:5100::/24 | 2690:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2690:5200::/24 | 2690:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2690:5300::/24 | 2690:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2690:5400::/24 | 2690:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2690:5500::/24 | 2690:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2690:5600::/24 | 2690:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2690:5700::/24 | 2690:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2690:5800::/24 | 2690:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2690:5900::/24 | 2690:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2690:5a00::/24 | 2690:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2690:5b00::/24 | 2690:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2690:5c00::/24 | 2690:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2690:5d00::/24 | 2690:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2690:5e00::/24 | 2690:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2690:5f00::/24 | 2690:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2690:6000::/24 | 2690:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2690:6100::/24 | 2690:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2690:6200::/24 | 2690:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2690:6300::/24 | 2690:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2690:6400::/24 | 2690:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2690:6500::/24 | 2690:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2690:6600::/24 | 2690:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2690:6700::/24 | 2690:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2690:6800::/24 | 2690:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2690:6900::/24 | 2690:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2690:6a00::/24 | 2690:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2690:6b00::/24 | 2690:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2690:6c00::/24 | 2690:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2690:6d00::/24 | 2690:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2690:6e00::/24 | 2690:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2690:6f00::/24 | 2690:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2690:7000::/24 | 2690:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2690:7100::/24 | 2690:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2690:7200::/24 | 2690:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2690:7300::/24 | 2690:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2690:7400::/24 | 2690:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2690:7500::/24 | 2690:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2690:7600::/24 | 2690:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2690:7700::/24 | 2690:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2690:7800::/24 | 2690:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2690:7900::/24 | 2690:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2690:7a00::/24 | 2690:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2690:7b00::/24 | 2690:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2690:7c00::/24 | 2690:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2690:7d00::/24 | 2690:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2690:7e00::/24 | 2690:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2690:7f00::/24 | 2690:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2690:8000::/24 | 2690:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2690:8100::/24 | 2690:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2690:8200::/24 | 2690:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2690:8300::/24 | 2690:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2690:8400::/24 | 2690:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2690:8500::/24 | 2690:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2690:8600::/24 | 2690:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2690:8700::/24 | 2690:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2690:8800::/24 | 2690:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2690:8900::/24 | 2690:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2690:8a00::/24 | 2690:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2690:8b00::/24 | 2690:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2690:8c00::/24 | 2690:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2690:8d00::/24 | 2690:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2690:8e00::/24 | 2690:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2690:8f00::/24 | 2690:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2690:9000::/24 | 2690:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2690:9100::/24 | 2690:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2690:9200::/24 | 2690:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2690:9300::/24 | 2690:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2690:9400::/24 | 2690:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2690:9500::/24 | 2690:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2690:9600::/24 | 2690:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2690:9700::/24 | 2690:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2690:9800::/24 | 2690:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2690:9900::/24 | 2690:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2690:9a00::/24 | 2690:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2690:9b00::/24 | 2690:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2690:9c00::/24 | 2690:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2690:9d00::/24 | 2690:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2690:9e00::/24 | 2690:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2690:9f00::/24 | 2690:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2690:a000::/24 | 2690:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2690:a100::/24 | 2690:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2690:a200::/24 | 2690:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2690:a300::/24 | 2690:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2690:a400::/24 | 2690:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2690:a500::/24 | 2690:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2690:a600::/24 | 2690:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2690:a700::/24 | 2690:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2690:a800::/24 | 2690:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2690:a900::/24 | 2690:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2690:aa00::/24 | 2690:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2690:ab00::/24 | 2690:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2690:ac00::/24 | 2690:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2690:ad00::/24 | 2690:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2690:ae00::/24 | 2690:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2690:af00::/24 | 2690:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2690:b000::/24 | 2690:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2690:b100::/24 | 2690:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2690:b200::/24 | 2690:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2690:b300::/24 | 2690:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2690:b400::/24 | 2690:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2690:b500::/24 | 2690:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2690:b600::/24 | 2690:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2690:b700::/24 | 2690:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2690:b800::/24 | 2690:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2690:b900::/24 | 2690:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2690:ba00::/24 | 2690:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2690:bb00::/24 | 2690:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2690:bc00::/24 | 2690:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2690:bd00::/24 | 2690:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2690:be00::/24 | 2690:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2690:bf00::/24 | 2690:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2690:c000::/24 | 2690:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2690:c100::/24 | 2690:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2690:c200::/24 | 2690:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2690:c300::/24 | 2690:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2690:c400::/24 | 2690:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2690:c500::/24 | 2690:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2690:c600::/24 | 2690:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2690:c700::/24 | 2690:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2690:c800::/24 | 2690:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2690:c900::/24 | 2690:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2690:ca00::/24 | 2690:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2690:cb00::/24 | 2690:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2690:cc00::/24 | 2690:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2690:cd00::/24 | 2690:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2690:ce00::/24 | 2690:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2690:cf00::/24 | 2690:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2690:d000::/24 | 2690:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2690:d100::/24 | 2690:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2690:d200::/24 | 2690:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2690:d300::/24 | 2690:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2690:d400::/24 | 2690:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2690:d500::/24 | 2690:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2690:d600::/24 | 2690:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2690:d700::/24 | 2690:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2690:d800::/24 | 2690:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2690:d900::/24 | 2690:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2690:da00::/24 | 2690:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2690:db00::/24 | 2690:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2690:dc00::/24 | 2690:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2690:dd00::/24 | 2690:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2690:de00::/24 | 2690:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2690:df00::/24 | 2690:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2690:e000::/24 | 2690:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2690:e100::/24 | 2690:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2690:e200::/24 | 2690:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2690:e300::/24 | 2690:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2690:e400::/24 | 2690:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2690:e500::/24 | 2690:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2690:e600::/24 | 2690:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2690:e700::/24 | 2690:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2690:e800::/24 | 2690:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2690:e900::/24 | 2690:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2690:ea00::/24 | 2690:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2690:eb00::/24 | 2690:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2690:ec00::/24 | 2690:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2690:ed00::/24 | 2690:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2690:ee00::/24 | 2690:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2690:ef00::/24 | 2690:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2690:f000::/24 | 2690:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2690:f100::/24 | 2690:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2690:f200::/24 | 2690:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2690:f300::/24 | 2690:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2690:f400::/24 | 2690:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2690:f500::/24 | 2690:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2690:f600::/24 | 2690:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2690:f700::/24 | 2690:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2690:f800::/24 | 2690:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2690:f900::/24 | 2690:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2690:fa00::/24 | 2690:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2690:fb00::/24 | 2690:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2690:fc00::/24 | 2690:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2690:fd00::/24 | 2690:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2690:fe00::/24 | 2690:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2690:ff00::/24 | 2690:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |